Subject: Re: stub area in a vrf

From: John Pecola <[email-masked]>
Date: Thu, 29 Jul 2004 13:54:28 -0700

I think Manis' result were based on tests on a
specific vendor's box and that is why the result.
Otherwise as mentioned by Acee and Rob, there is
nothing stopping the PE-CE link to be in a stub in the
2547 case also since a PE should(must?) behave as an
ABR and can originate a default into the stub.

Thanks
John
-----Original Message-----
From: Acee Lindem [mailto:[email-masked]]
Sent: Thursday, July 29, 2004 7:06 AM
To: [email-masked]
Subject: Re: stub area in a vrf

I agree. However, I'd say that even if the PE router
is not connected to
multiple areas it should behave as if it one and
originate the default. It can use
the OSPF route type in advertised with the BGP
extended community to determine
which routes to advertise into the stub area.

----- Original Message -----
From: Robert Pineau
To: [email-masked]
Sent: Thursday, July 29, 2004 9:35 AM
Subject: Re: stub area in a vrf

Hi John, Mani,

What if the VRF was an ABR, and simply supplied a
default route to the CE in the stub?

I think this should work and allow the PE-CE link be
part of a stub area.

Thanks,
Rob.

-----Original Message-----
From: Mani Devarajan [mailto:[email-masked]]
Sent: Wednesday, July 28, 2004 8:56 PM
To: [email-masked]
Subject: Re: stub area in a vrf

Hi Jonh,
 I tried to do similar kind of testing, that is
configuring PE-CE link as  stub. But as PE will be
ASBR, we cannot configure  it in a stub.

rfc 2328: Section 3.6
 AS boundary routers cannot be placed internal to stub
 areas.

Thanks,
Mani

Acee Lindem wrote:

>Hi John,
>Note that this draft
(draft-ietf-l3vpn-ospf-2547-01.txt) is a product
>of the L3VPN WG and not the OSPF WG. Perhaps Eric or
Padma could
>respond.  Although I know how I would handle it I
don't think the stub
>area case is covered in the draft.
>
>Thanks,
>Acee
>
>
>----- Original Message -----
>From: "John Pecola" <[email-masked]>
>To: <[email-masked]>
>Sent: Wednesday, July 28, 2004 7:52 PM
>Subject: stub area in a vrf
>
>
>
>
>>Hi,
>>
>>With the 2547 VPNs, a CE router may receive type 3
>>LSAs from a PE for redistributed routes. Assuming
that
>>2547 BGP routes are redistributd into ospf on the PE

>>in the vrf (ASBR), can there be a scenario where it
is desired to
>>configure the PE-CE link as part of a stub area?
Should it be even
>>allowed?
>>
>>Thanks
>>John
>>
>>
>>
>>__________________________________
>>Do you Yahoo!?
>>Yahoo! Mail - 50x more storage than other providers!

>>http://promotions.yahoo.com/new_mail
>>
>>

__________________________________
Do you Yahoo!?
Yahoo! Mail Address AutoComplete - You start. We finish.
http://promotions.yahoo.com/new_mail